import rospy 
from clover import srv 
from std_srvs.srv import Trigger 
 
rospy.init_node('flight') 
 
get_telemetry = rospy.ServiceProxy('get_telemetry', srv.GetTelemetry) 
navigate = rospy.ServiceProxy('navigate', srv.Navigate) 
navigate_global = rospy.ServiceProxy('navigate_global', srv.NavigateGlobal) 
set_position = rospy.ServiceProxy('set_position', srv.SetPosition) 
set_velocity = rospy.ServiceProxy('set_velocity', srv.SetVelocity) 
set_attitude = rospy.ServiceProxy('set_attitude', srv.SetAttitude) 
set_rates = rospy.ServiceProxy('set_rates', srv.SetRates) 
land = rospy.ServiceProxy('land', Trigger) 
 
#Launch 1 meter 
navigate(x=0, y=0, z=1, frame_id='body',, speed=3, auto_arm=True) 
rospy.sleep(1) 
 
#1 point 
navigate(x=1.84, y=3.22, z=1, speed=4, yaw=float('nan'), frame_id='aruco_map') 
rospy.sleep(3) 
 
#2 point 
navigate(x=0, y=1.38, z=1, speed=5, yaw=float('nan'), frame_id='aruco_map') 
rospy.sleep(3) 
 
#3 point 
navigate(x=0.92, y=0.46, z=1, speed=7, yaw=float('nan'), frame_id='aruco_map') 
rospy.sleep(1) 
 
#4 point 
navigate(x=1.84, y=1.38, z=1, speed=6, yaw=float('nan'), frame_id='aruco_map') 
rospy.sleep(1) 
 
#5 point 
navigate(x=0, y=3.22, z=1, speed=5, yaw=float('nan'), frame_id='aruco_map') 
rospy.sleep(3) 
 
#6 point 
navigate(x=0.92, y=4.14, z=1, speed=6, yaw=float('nan'), frame_id='aruco_map') 
rospy.sleep(2) 
 
land()
